org.apache.solr.analytics.request

## Class FieldFacetRequest

- java.lang.Object
- - org.apache.solr.analytics.request.AbstractFieldFacetRequest
  - - org.apache.solr.analytics.request.FieldFacetRequest

- All Implemented Interfaces:
    FacetRequest

      public class FieldFacetRequest
      extends AbstractFieldFacetRequest

  Contains all of the specifications for a field facet.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FieldFacetRequest.FacetSortDirection`
    `static class` | `FieldFacetRequest.FacetSortSpecification` Specifies how to sort the buckets of a field facet.

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.analytics.request.AbstractFieldFacetRequest

      `field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldFacetRequest(SchemaField field)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldFacetRequest.FacetSortDirection` | `getDirection()`
    `int` | `getLimit()`
    `int` | `getOffset()`
    `FieldFacetRequest.FacetSortSpecification` | `getSort()`
    `boolean` | `isHidden()`
    `void` | `setDirection(String dir)`
    `void` | `setHidden(boolean hidden)`
    `void` | `setLimit(int limit)`
    `void` | `setOffset(int offset)`
    `void` | `setSort(FieldFacetRequest.FacetSortSpecification sort)`
    `void` | `showMissing(boolean missing)` If there are missing values in the facet field, include the bucket for the missing facet values in the facet response.
    `boolean` | `showsMissing()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.solr.analytics.request.AbstractFieldFacetRequest

      `getField, getName, setField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldFacetRequest

          public FieldFacetRequest(SchemaField field)

  - ### Method Detail

    - #### getDirection

          public FieldFacetRequest.FacetSortDirection getDirection()

    - #### setDirection

          public void setDirection(String dir)

    - #### getSort

          public FieldFacetRequest.FacetSortSpecification getSort()

    - #### setSort

          public void setSort(FieldFacetRequest.FacetSortSpecification sort)

    - #### showsMissing

          public boolean showsMissing()

    - #### showMissing

          public void showMissing(boolean missing)

      If there are missing values in the facet field, include the bucket for the missing facet values in the facet response.
      Parameters:
        `missing` - true/false if we calculate missing

    - #### getLimit

          public int getLimit()

    - #### setLimit

          public void setLimit(int limit)

    - #### getOffset

          public int getOffset()

    - #### setOffset

          public void setOffset(int offset)

    - #### isHidden

          public boolean isHidden()

    - #### setHidden

          public void setHidden(boolean hidden)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.